### A free/open-source library for quantitative finance

Public Member Functions
SVD Class Reference

Singular value decomposition. More...

`#include <ql/math/matrixutilities/svd.hpp>`

List of all members.

## Public Member Functions

| SVD (const Matrix &)
const Matrix & | U () const
const Matrix & | V () const
const Array & | singularValues () const
Disposable< Matrix > | S () const
Real | norm2 () const
Real | cond () const
Size | rank () const
Disposable< Array > | solveFor (const Array &) const

## Detailed Description

Singular value decomposition.

Refer to Golub and Van Loan: Matrix computation, The Johns Hopkins University Press

Tests:
  the correctness of the returned values is tested by checking their properties.